publiccodeYmlVersion: "0.3"

name: Data provider
url: "https://gitlab.opencode.de/opencode-analyzer/data-provider"
softwareVersion: "dev"
platforms:
    - linux
    - mac

categories:
    - it-security
    - it-development
    - data-analytics

developmentStatus: beta

softwareType: "standalone/other"

description:
    en:
        shortDescription: >
            API backend for OpenCoDE's KPI calculation.

        longDescription: >
            This Spring Boot API server is a backend application that is built using the Spring Boot framework. 
            This server is specifically designed to calculate Key Performance Indicators (KPIs) about repositories 
            on the OpenCoDE platform. It provides these KPIs and related information through a REST API.  
            Using this API server, users can retrieve valuable insights and metrics about repositories on the platform.
            This includes information such as the number of commits, the number of contributors, the code quality, and 
            other relevant performance indicators.  The Spring Boot API server leverages the power of Spring Boot, which 
            simplifies the development process and allows for easy integration with other technologies. It follows the 
            REST architectural style, making it easy for clients to interact with the server and retrieve the desired 
            KPIs.  With this API server, developers can efficiently analyze the performance of repositories, 
            track trends, and make data-driven decisions to improve the overall quality and productivity 
            of their platform.

        genericName: Spring boot REST API Server


legal:
    license: MIT

maintenance:
    type: "contract"

    contacts:
        -   name: Jan-Niclas Strüwer
        -   name: Tobias Petrasch
        -   name: Benedict Wohlers

releaseDate: '2023-10-23'
localisation:
    localisationReady: false
    availableLanguages:
        - en
